import { ICoreBaseStat, ICoreFileStat } from '@files-stack/core';
import { IContentChangedEvent } from './changed-content';
export interface IContent extends IBaseStat {
    value?: string;
    encoding?: string;
    newValue?: string;
    oldValue?: string;
    deleted?: boolean;
    addIgnore?: string;
    editorId?: number;
    markdown?: boolean;
    preview?: boolean;
    preOpen?: boolean;
    keepOpen?: boolean;
    status?: string;
    oversize?: boolean;
    changed?: boolean;
    changedEvent?: IContentChangedEvent;
    diff?: boolean;
    size?: any;
}
export interface IEditorWrapper {
    editorId: number;
    height: number;
    history: string[];
}
export interface IEdit {
    openingFiles: IContent[];
    editingFiles: IContent[];
    editors: number[];
    editorWrappers: IEditorWrapper[];
    activeEditorId: number;
    oldValue?: string;
    deleted?: boolean;
    addIgnore?: string;
}
export interface IFileExpand {
    resource: string;
    expand?: boolean;
    path?: number[];
    children?: string[];
}
export interface IFilesMutate {
    calling?: boolean;
    mutation?: string;
    options?: any;
    copyPath?: string;
}
export interface INodeFileStat {
    fileStat: IFileStat;
    path: number[];
}
export interface IBaseStat extends ICoreBaseStat {
    resource: string;
    name?: string;
}
export interface IFileStat extends ICoreFileStat {
    resource: string;
    name?: string;
    children?: any;
    isDirectory?: boolean;
    title?: string;
    hasChildren?: boolean;
}
export interface IFinderOptions {
    lineNumber?: number;
    searchText?: string;
}
